> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv1version



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/version/{affinity}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v1/version/{affinity}:
    get:
      tags:
        - valorant
      operationId: Version
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Version data retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VersionV1Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Region not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    VersionV1Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/VersionV1Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    VersionV1Data:
      type: object
      required:
        - region
        - branch
        - build_date
        - build_ver
        - last_checked
        - version
        - version_for_api
      properties:
        branch:
          type: string
        build_date:
          type: string
        build_ver:
          type: string
        last_checked:
          type: string
        region:
          type: string
        version:
          type: integer
          format: int32
          minimum: 0
        version_for_api:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0

````